aboutsummaryrefslogtreecommitdiffstats
path: root/meta/recipes-bsp/orinoco/spectrum-fw/get_symbol_fw
diff options
context:
space:
mode:
authorRichard Purdie <rpurdie@linux.intel.com>2010-08-27 15:14:24 +0100
committerRichard Purdie <rpurdie@linux.intel.com>2010-08-27 15:29:45 +0100
commit29d6678fd546377459ef75cf54abeef5b969b5cf (patch)
tree8edd65790e37a00d01c3f203f773fe4b5012db18 /meta/recipes-bsp/orinoco/spectrum-fw/get_symbol_fw
parentda49de6885ee1bc424e70bc02f21f6ab920efb55 (diff)
downloadopenembedded-core-29d6678fd546377459ef75cf54abeef5b969b5cf.tar.gz
Major layout change to the packages directory
Having one monolithic packages directory makes it hard to find things and is generally overwhelming. This commit splits it into several logical sections roughly based on function, recipes.txt gives more information about the classifications used. The opportunity is also used to switch from "packages" to "recipes" as used in OpenEmbedded as the term "packages" can be confusing to people and has many different meanings. Not all recipes have been classified yet, this is just a first pass at separating things out. Some packages are moved to meta-extras as they're no longer actively used or maintained. Signed-off-by: Richard Purdie <rpurdie@linux.intel.com>
Diffstat (limited to 'meta/recipes-bsp/orinoco/spectrum-fw/get_symbol_fw')
-rwxr-xr-xmeta/recipes-bsp/orinoco/spectrum-fw/get_symbol_fw29
1 files changed, 29 insertions, 0 deletions
diff --git a/meta/recipes-bsp/orinoco/spectrum-fw/get_symbol_fw b/meta/recipes-bsp/orinoco/spectrum-fw/get_symbol_fw
new file mode 100755
index 0000000000..80420b01a8
--- /dev/null
+++ b/meta/recipes-bsp/orinoco/spectrum-fw/get_symbol_fw
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+# Get firmware for Symbol Spectrum24 Trilogy.
+# Both the header file and the binary firmware files are produced.
+
+# Copyright (C) 2004 Pavel Roskin <proski@gnu.org>
+
+# This script is Free Software, and it can be copied, distributed and
+# modified as defined in the GNU General Public License. A copy of
+# its license can be downloaded from http://www.gnu.org/copyleft/gpl.html
+
+# Usage: get_symbol_fw
+# Output: spectrum_fw.h symbol_sp24t_prim_fw symbol_sp24t_sec_fw
+# Needed tools: curl (or wget), unzip, perl.
+
+set -e
+
+DL_INT1='S24DRVR392B67-01.exe'
+DL_INT2='Driver Only Installer/NetWLan5.sys'
+DRIVER1=symbol1.drv
+DRIVER2=symbol2.drv
+
+unzip -p $DL_INT1 "$DL_INT2" >$DRIVER2
+
+perl parse_symbol_fw $DRIVER2 spectrum_fw.h symbol_sp24t_prim_fw \
+ symbol_sp24t_sec_fw
+
+rm -f $DRIVER1 $DRIVER2
+